#ifndef SUDOKUTASK_H_
#define SUDOKUTASK_H_

#include "tbb/task.h"
using namespace tbb;

#include "sudoku.h"

class SudokuTask : public task {
public:
	SudokuTask(Sudoku* p,unsigned long* sub):puzzle(p),subtasks(sub) {};
	~SudokuTask() { delete puzzle; }

	task* execute();
private:
	Sudoku* puzzle;
	unsigned long* subtasks;

};

#endif
